Package svnmailer :: Package notifier :: Module _textmail :: Class SplittingDecorator

[hide private]

# Class SplittingDecorator

source code

    object --+
             |
            SplittingDecorator

Splits the content between diffs, if it gets loo long

Instance Methods | [hide private]

__init__(self, config, groupset, maxsize, drop) Initialization | source code

_getTextMails(self, charset, enc) Returns the text mail(s) | source code

_getMailWriter(self, fp) Returns a splitting mail writer | source code

writeMetaData(self) write meta data to drop_fp as well | source code

writePathList(self) write the stuff to the real stream | source code

_flushToFinalStream(self, split=False) Flushes the current content to the final stream | source code

writeContentDiff(self, change) write the stuff to the real stream | source code

writePropertyDiffs(self, diff_tokens, change) write the stuff to the real stream | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

`int` | drop maximum number of mails
file like object | drop_fp The alternate summary stream
file like object | final_fp Actual stream object containg all data
`int` | max_notification_size Maximum size of one mail content

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, config, groupset, maxsize, drop)
(Constructor)

source code

Initialization

Parameters:
  - `maxsize` (`int`) - The maximum number of bytes that should be written into one mail
  - `drop` (`int`) - maximum number of mails
Overrides: object.__init__

### _flushToFinalStream(self, split=False)

source code

Flushes the current content to the final stream

Parameters:
  - `split` (`bool`) - Should split regardless of the current size?